#ifndef _CONNECT_CODE
#define _CONNECT_CODE
#include <string>
#include <vector>

namespace connect_code {
	/* Given an address and a port, return a 'code' which has the address and port encoded in it */
	std::string encode(std::string address, std::string port);

	/* Given a code, decode it and return a vector with the address and port */
	std::vector<std::string> decode(std::string connect_code);

}
#endif
